Manual de FreeBSD
Anterior | Capítulo 3. Conceptos básicos de Unix | Siguiente

# 3.6. Montaje y desmontaje de sistemas de ficheros

El sistema de ficheros se visualiza mejor como un árbol enraizado, tal y como esá, en `/`. `/dev`, `/usr` y todos los demás directorios en el directorio raíz son raamas, las cuales pueden tener sus propias ramas, como `/usr/local` y así sucesivamente.

Existen varias razones para albergar algunos de estos directorios en sistemas de ficheros separados. `/var` contiene los directorios `log/`, `spool/` y varios tipos de ficheros temporales y pueden llegar a desbordarse. Agotar el espacio del sistema de ficheros raíz no es nada bueno desde cualquier punto de vista, así que separar `/var` de de `/` es algo que debería hacerse siempre que sea posible.

Otra razón para meter ciertos árboles de directorios en otros sistemas de ficheros es si van a estar albergados en discos físicos separados, o si son discos virtuales separados, como un montaje por NFS en el caso de unidades de CDROM.

## 3.6.1. El fichero `fstab`

Durante el proceso de arranque los sistemas de ficheros listados en `/etc/fstab` se montan automáticamente (a menos que estén listados con la opción `noauto`).

`/etc/fstab` contiene una lista de líneas con el siguiente formato:

    dispositivo       /punto-de-montaje punto de montaje     opciones      dumpfreq     passno

`dispositivo`

  Un nombre de dispositivo (debe existir).

`punto-de-montaje`

  Un directorio (que debe existir) en el que montar el sistema de ficheros.

`tipo de sistema ficheros`

  El tipo de sistema de ficheros es un parámetro que interpretará mount(8). El sistema de ficheros por omisión de FreeBSD es `ufs`.

`opciones`

  Ya sea `rw` para sistemas de ficheros de lectura-escritura, o `ro` para sistemas de ficheros de sólo lectura, seguido de cualquier otra opción que sea necesaria. Una opción muy habitual es `noauto`, que se suele usar en sistemas de ficheros que no se deben montar durante la secuencia de arranque. Tiene otras opciones en la página de manual de mount(8).

`dumpfreq`

  dump(8) la usa para determinar qué sistema de ficheros requieren volcado. Si el campo no está declarado se asume un valor de cero.

`passno`

  Determina el orden en el cual los sistemas de ficheros deben revisarse. Los sistemas de ficheros que hayan de saltarse deben tener su `passno` a cero. El sistema de ficheros raíz (que obviamente debe ser revisado antes que cualquier otro) debe tener su `passno` puesto a uno, y los demás sistemas de ficheros deben tener valores mayores que uno. Si más de un sistema de ficheros tiene el mismo `passno` fsck(8) tratará de revisarlos en paralelo en caso de ser posible.

Consulte la página de manual de fstab(5) para mayor información sobre el formato del fichero `/etc/fstab` y las opciones que contiene.

## 3.6.2. La orden `mount`

mount(8) es al fin y al cabo quien monta los sistemas de ficheros.

En su forma más básica se usa lo siguiente:

    # mount dispositivo punto-de-montaje

Existe una gran cantidad de opciones (las encontrará todas en mount(8)) pero las más comunes son:

Opciones de montaje

`-a`

  Montar todos los sistemas de ficheros que aparezcan en `/etc/fstab`, excepto aquellos marcados como «noauto», excluidos por el parámetro `-t` o aquellos que ya estén montados.

`-d`

  Realizar todo excepto la llamada real de montaje del sistema. Esta opción es muy útil en caso de problemas si se combina con la opción `-v` para determinar qué es lo que mount(8) está haciendo realmente.

`-f`

  Forzar el montaje de un sistema de ficheros inestable (por ejemplo uno que da errores tras un reinicio súbito, algo que es bastante peligroso), o forzar la revocación de accesos de escritura cuando se cambia el estado de un sistema de ficheros de lectura-escritura a solo lectura.

`-r`

  Montar el sistema de ficheros como sólo lectura. Esto es idéntico a utilizar el argumento `ro` (`rdonly` para versiones anteriores a FreeBSD 5.2) en la opción `-o`.

`-t` `tipo de sistema de ficheros`

  Montar un sistema de ficheros dado con el tipo de sistema de ficheros, o montar solamente sistemas de ficheros del tipo dado si se proporciona la opción `-a`.

  «ufs» es el sistema de ficheros por omisión.

`-u`

  Actualizar puntos de montaje en el sistema de ficheros.

`-v`

  Mostrar mayor información.

`-w`

  Montar el sistema de ficheros como lectura-escritura.

La opción `-o` toma una lista las siguientes opciones separada por comas:

nodev

  No interpretar dispositivos especiales en el sistema ficheros. Es una opción de seguridad que puede ser muy útil.

noexec

  No permitir la ejecución de binarios en este sistema de ficheros. Esta también es una opción de seguridad útil.

nosuid

  No interpretar bits setuid o setgid en el sistema de ficheros. Esta también es una opción de seguridad útil.

## 3.6.3. La orden `umount`

umount(8) toma como parámetro un punto de montaje, un nombre de dispositivo, o la opción `-a` o `-A`.

Todas las formas toman `-f` para forzar el desmontaje y `-v` para mostrar más información. Tenga muy en cuenta que usar `-f` no suele ser una forma recomendable de proceder. Desmontar a la fuerza los sistemas de ficheros puede acarrear el congelar la máquina o dañar los datos en el sistema de ficheros.

`-a` y `-A` se usan para desmontar todos los sistemas de ficheros montados, con la ventaja de poder elegir el tipo de sistema de ficheros que se use tras `-t`. De todas maneras `-A` no trata de desmontar el sistema de ficheros raíz.

Anterior | Inicio | Siguiente
Organización de disco | Subir | Procesos

Puede descargar éste y muchos otros documentos desde ftp://ftp.FreeBSD.org/pub/FreeBSD/doc/.

Si tiene dudas sobre FreeBSD consulte la documentación antes de escribir a la lista <questions@FreeBSD.org>.
Envíe sus preguntas sobre la documentación a <doc@FreeBSD.org>.